| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | put | https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Amount |
| Production | put | https://api.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Amount |
This change only affects the payment date of the next recurrence.
Request
put https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Amount
--request PUT "https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Amount"
--header "Content-Type: application/json"
--header "MerchantId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--header "MerchantKey: 0123456789012345678901234567890123456789"
--header "RequestId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--data-binary
156
--verboseBelow are the field properties in this request:
| Property (header) | Type | Size | Required | Description |
|---|---|---|---|---|
MerchantId | Guid | 36 | Yes | Merchant identifier in Split de Pagamento |
MerchantKey | Text | 40 | Yes | Public key for dual authentication in Split de Pagamento |
Content-Type | Header | 40 | Yes | Application/json |
RequestId | Guid | 36 | No | Request identifier defined by the merchant, used when the merchant uses different servers for each GET/POST/PUT |
| Property (body) | Description | Type | Size | Required? |
|---|---|---|---|---|
RecurrentPaymentId | Recurrence identification number. | Text | 50 | Yes (send in the endpoint) |
Amount | Order amount in cents. Example: 156 equals R$ 1.56. | Number | 15 | Yes |
Response
HTTP Status 200Refer to the HTTP status codes list to see all status codes that may be returned by the API.